///***KCF***24/09/2006 11:53PM
datablock TriggerData(LapTrigger)
{
   tickPeriodMS = 100;
};

function LapTrigger::onEnterTrigger(%this,%trigger,%obj)
{
   if(%trigger.cp $= "")
      echo("Trigger checkpoint not set on " @ %trigger);
   else
      %obj.client.UpdateLap(%trigger,%obj);
}
